﻿--[[
	Name: Titan Panel [Work Orders]
	Author: Thorinair (Thorinair - EU Ravencrest - Alliance)
	Version: 0.9.4
--]]

-- =====================
-- === LOCALE - enUS ===
-- =====================

local L = LibStub("AceLocale-3.0"):NewLocale("Titan_WorkOrders","enUS",true)

-- === GLOBAL ===
L["TITAN_WORK_ORDERS_TIME_S"] = "s";
L["TITAN_WORK_ORDERS_TIME_M"] = "min";
L["TITAN_WORK_ORDERS_TIME_H"] = "h";

L["TITAN_WORK_ORDERS_RIGHT_SIDE"] = "Display on Right Side";

L["TITAN_WORK_ORDERS_NOT_BUILT"] = GRAY_FONT_COLOR_CODE .. "Not built" .. FONT_COLOR_CODE_CLOSE;
L["TITAN_WORK_ORDERS_NOT_BUILT_PLAIN"] = HIGHLIGHT_FONT_COLOR_CODE .. "Not built" .. FONT_COLOR_CODE_CLOSE;

L["TITAN_WORK_ORDERS_CONSTRUCTION"] = GRAY_FONT_COLOR_CODE .. "Under construction" .. FONT_COLOR_CODE_CLOSE;
L["TITAN_WORK_ORDERS_CONSTRUCTION_PLAIN"] = HIGHLIGHT_FONT_COLOR_CODE .. "Under construction" .. FONT_COLOR_CODE_CLOSE;

L["TITAN_WORK_ORDERS_TOOLTIP_STATUS"] = "Status:";
L["TITAN_WORK_ORDERS_TOOLTIP_STATUS_ACTIVE"] = GREEN_FONT_COLOR_CODE .. "Active" .. FONT_COLOR_CODE_CLOSE;
L["TITAN_WORK_ORDERS_TOOLTIP_STATUS_INACTIVE"] = RED_FONT_COLOR_CODE .. "Inactive" .. FONT_COLOR_CODE_CLOSE;
L["TITAN_WORK_ORDERS_TOOLTIP_PRODUCT"] = "Product:";
L["TITAN_WORK_ORDERS_TOOLTIP_NEXT"] = "Next ready in:";
L["TITAN_WORK_ORDERS_TOOLTIP_READY"] = "Orders ready:";
L["TITAN_WORK_ORDERS_TOOLTIP_LEFT"] = "Left in queue:";
L["TITAN_WORK_ORDERS_TOOLTIP_TOTAL"] = "Total shipments:";
L["TITAN_WORK_ORDERS_TOOLTIP_CAPACITY"] = "Building capacity:";
L["TITAN_WORK_ORDERS_TOOLTIP_HINT"] = GREEN_FONT_COLOR_CODE .. "Hint: Left-click to toggle Garrison Report." .. FONT_COLOR_CODE_CLOSE;

-- === ENGINEERING_WORKS ===
L["TITAN_ENGINEERING_WORKS_BUILDING_NAME"] = "Engineering Works";

L["TITAN_ENGINEERING_WORKS_MENU_TEXT"] = "Work Orders: Engineering Works";
L["TITAN_ENGINEERING_WORKS_TOOLTIP_TITLE"] = "Engineering Works";

-- === THE_TANNERY ===
L["TITAN_THE_TANNERY_BUILDING_NAME"] = "The Tannery";

L["TITAN_THE_TANNERY_MENU_TEXT"] = "Work Orders: The Tannery";
L["TITAN_THE_TANNERY_TOOLTIP_TITLE"] = "The Tannery";

-- === ALCHEMY_LAB ===
L["TITAN_ALCHEMY_LAB_BUILDING_NAME"] = "Alchemy Lab";

L["TITAN_ALCHEMY_LAB_MENU_TEXT"] = "Work Orders: Alchemy Lab";
L["TITAN_ALCHEMY_LAB_TOOLTIP_TITLE"] = "Alchemy Lab";

-- === ENCHANTERS_STUDY ===
L["TITAN_ENCHANTERS_STUDY_BUILDING_NAME"] = "Enchanter's Study";

L["TITAN_ENCHANTERS_STUDY_MENU_TEXT"] = "Work Orders: Enchanter's Study";
L["TITAN_ENCHANTERS_STUDY_TOOLTIP_TITLE"] = "Enchanter's Study";

-- === GEM_BOUTIQUE ===
L["TITAN_GEM_BOUTIQUE_BUILDING_NAME"] = "Gem Boutique";

L["TITAN_GEM_BOUTIQUE_MENU_TEXT"] = "Work Orders: Gem Boutique";
L["TITAN_GEM_BOUTIQUE_TOOLTIP_TITLE"] = "Gem Boutique";

-- === SCRIBES_QUARTERS ===
L["TITAN_SCRIBES_QUARTERS_BUILDING_NAME"] = "Scribe's Quarters";

L["TITAN_SCRIBES_QUARTERS_MENU_TEXT"] = "Work Orders: Scribe's Quarters";
L["TITAN_SCRIBES_QUARTERS_TOOLTIP_TITLE"] = "Scribe's Quarters";

-- === TAILORING_EMPORIUM ===
L["TITAN_TAILORING_EMPORIUM_BUILDING_NAME"] = "Tailoring Emporium";

L["TITAN_TAILORING_EMPORIUM_MENU_TEXT"] = "Work Orders: Tailoring Emporium";
L["TITAN_TAILORING_EMPORIUM_TOOLTIP_TITLE"] = "Tailoring Emporium";

-- === THE_FORGE ===
L["TITAN_THE_FORGE_BUILDING_NAME"] = "The Forge";

L["TITAN_THE_FORGE_MENU_TEXT"] = "Work Orders: The Forge";
L["TITAN_THE_FORGE_TOOLTIP_TITLE"] = "The Forge";

-- === BARN ===
L["TITAN_BARN_BUILDING_NAME"] = "Barn";

L["TITAN_BARN_MENU_TEXT"] = "Work Orders: Barn";
L["TITAN_BARN_TOOLTIP_TITLE"] = "Barn";

-- === LUMBER_MILL ===
L["TITAN_LUMBER_MILL_BUILDING_NAME"] = "Lumber Mill";

L["TITAN_LUMBER_MILL_MENU_TEXT"] = "Work Orders: Lumber Mill";
L["TITAN_LUMBER_MILL_TOOLTIP_TITLE"] = "Lumber Mill";

-- === TRADING_POST ===
L["TITAN_TRADING_POST_BUILDING_NAME"] = "Trading Post";

L["TITAN_TRADING_POST_MENU_TEXT"] = "Work Orders: Trading Post";
L["TITAN_TRADING_POST_TOOLTIP_TITLE"] = "Trading Post";

-- === DWARVEN_BUNKER ===
L["TITAN_DWARVEN_BUNKER_BUILDING_NAME"] = "Dwarven Bunker";

L["TITAN_DWARVEN_BUNKER_MENU_TEXT"] = "Work Orders: Dwarven Bunker";
L["TITAN_DWARVEN_BUNKER_TOOLTIP_TITLE"] = "Dwarven Bunker";

-- === WAR_MILL ===
L["TITAN_WAR_MILL_BUILDING_NAME"] = "War Mill";

L["TITAN_WAR_MILL_MENU_TEXT"] = "Work Orders: War Mill";
L["TITAN_WAR_MILL_TOOLTIP_TITLE"] = "War Mill";

-- === HERB_GARDEN ===
L["TITAN_HERB_GARDEN_BUILDING_NAME"] = "Herb Garden";

L["TITAN_HERB_GARDEN_MENU_TEXT"] = "Work Orders: Herb Garden";
L["TITAN_HERB_GARDEN_TOOLTIP_TITLE"] = "Herb Garden";

-- === LUNARFALL_EXCAVATION ===
L["TITAN_LUNARFALL_EXCAVATION_BUILDING_NAME"] = "Lunarfall Excavation";

L["TITAN_LUNARFALL_EXCAVATION_MENU_TEXT"] = "Work Orders: Lunarfall Excavation";
L["TITAN_LUNARFALL_EXCAVATION_TOOLTIP_TITLE"] = "Lunarfall Excavation";

-- === FROSTWALL_MINES ===
L["TITAN_FROSTWALL_MINES_BUILDING_NAME"] = "Frostwall Mines";

L["TITAN_FROSTWALL_MINES_MENU_TEXT"] = "Work Orders: Frostwall Mines";
L["TITAN_FROSTWALL_MINES_TOOLTIP_TITLE"] = "Frostwall Mines";
